/*
	File:		CallbackDispatcherHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	 6/21/93	KBA		first checked in

*/


#ifndef __CallbackDispatcherHeader__
#define __CallbackDispatcherHeader__

#ifndef __Types__
#include <Types.h>
#endif

#define	kMaxNumOfFunctionParams	12

typedef struct{
	long	fSelector;
	long	fResult;
	long	fParam[kMaxNumOfFunctionParams];
} CallBackPBRec, *CallBackPBPtr;

typedef long	(*CallBackProcPtr)(	CallBackPBPtr );		

#endif