/*
	File:		RuleFunctionHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 9/15/93	KBA		Added constants for return values.
		 <1>	 8/10/93	KBA		first checked in

*/

#ifndef __RuleFunctionHeader__
#define __RuleFunctionHeader__

#define kTRUERuleFunctionResult		1
#define kFALSERuleFunctionResult	0

typedef struct {
	ProcPtr				fCallBackProcPtr;
	short				fTargetVRefNum;
	long				fTargetFolderDirID;
	short				fSystemVRefNum;
	long				fSystemBlessedDirID;
	long				fRefCon;
}RuleFunctionPBRec, *RuleFunctionPBPtr;

long	RuleFunction( RuleFunctionPBPtr );

#endif