/*
	File:		SetupFunctionHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	  7/1/94	KBA		Added kQuitInstallerNow constant.
		 <3>	 7/12/93	rdm		Added #ifndef __SetupFunctionHeader__.
		 <2>	 6/21/93	KBA		Added fCallBackProcPtr field to EnvironmentSetupPB struct.
		 <1>	  4/1/93	KBA		first checked in

*/

#ifndef __SetupFunctionHeader__
#define __SetupFunctionHeader__

#ifndef __Files__
#include <Files.h>
#endif

#ifndef __Types__
#include <Types.h>
#endif


typedef  struct {
	ProcPtr			fCallBackProcPtr;
	FSSpec			fTargetFSSpec;
	short			fSystemVRefNum;
} EnvironmentSetupPB, *EnvironmentSetupPBPtr;

long	EnvironmentSetupFunction( EnvironmentSetupPBPtr );

#define kContinueInstallerSetup		0
#define kQuitInstallerNow			-1

#endif
