/*
	File:		VersionCompareHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	 8/17/93	KBA		Changed ComputeVersionNumber function to return unsigned long
									instead of just a long.
		 <3>	 7/12/93	rdm		Added #include Types.h.
		 <2>	 6/21/93	KBA		Added fCallBackProcPtr field to ActionHandlerPB struct.
		 <1>	  4/1/93	KBA		first checked in

*/

#ifndef __VersionCompareHeader__
#define __VersionCompareHeader__

#ifndef __Types__
#include <Types.h>
#endif


/* Must return a version number in BCD format. */

typedef  struct {
	ProcPtr			fCallBackProcPtr;
} ComputeVersionPB, *ComputeVersionPBPtr;

unsigned long	ComputeVersionNumber( ComputeVersionPBPtr );

#endif